/***************************************************************************
                          opkdekiosk.h  -  description
                             -------------------
    begin                : Mon Jun 20 10:42:25 PHT 2005
    copyright            : (C) 2005 by Abdiel Janulgue
    email                : xynopsis@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef OPKDEKIOSK_H
#define OPKDEKIOSK_H

#ifdef HAVE_CONFIG_H
        #include <config.h>
#endif

#include <kpanelapplet.h>
#include <qstring.h>
#include <qtoolbutton.h>
#include <kconfig.h>

class QPopupMenu;
class KAboutData;
class QLabel;
class FlatButton;
class QTimer;
class QToolButton;

class OpKDEkiosk : public KPanelApplet
{
        Q_OBJECT
 public:
        OpKDEkiosk(const QString& configFile, Type t = Normal, int actions = 0,
                   QWidget *parent = 0, const char *name = 0);
        ~OpKDEkiosk();

        int widthForHeight( int height ) const;
        int heightForWidth( int width) const;
        
 protected slots:
        void about();
        void preferences();

 protected:
        void mousePressEvent(QMouseEvent*); 
        //void resizeEvent( QResizeEvent* );

 private slots:
        void initLock();
        void checkTime();
        void updateLogoff();
	void reload();
	void changePassword();
	void checkProcess();
	
 private:
        KConfig *ksConfig;
        QLabel* timerLabel;
        KAboutData* ab;
        QPopupMenu *pop;
        FlatButton* fb;
	QTimer* procCheck;
	
	// process env
	QString host;
	int port;
	QString localname;

	unsigned int kioskpid;
};

class FlatButton: public QToolButton
{
        friend class OpKDEkiosk;
        
        Q_OBJECT
 public:
        FlatButton(QWidget * parent = 0, const char * name = 0);
        
 protected:
        void mousePressEvent(QMouseEvent*);

 private:
        QPopupMenu *pop;
};

#endif
