/***************************************************************************
 *   Copyright (C) 2005 by Abdiel Janulgue                                 *
 *   xynopsis@users.sourceforge.net                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __KIOSKHANDLER_H__
#define __KIOSKHANDLER_H__

#include <qobject.h>

class TaskBar;
class QPopupMenu;
class KioskLock;
class KAboutData;
class KHTMLPart;
class QWidget;
class KioskLock;

class KioskHandler: public QObject
{
	Q_OBJECT
 public:
	KioskHandler(KioskLock* parent, const char* name=0);
	virtual ~KioskHandler();
	
 public slots:
        void kioskStart(bool);
        void kioskEnd(bool);
	void preferences();
	void about();
	void setBackgroundUrl(const QString&);

 private slots:
	void disableDesktop();
        void disableKicker();

 private:
	TaskBar* taskbar;
	QPopupMenu* pop;
	KAboutData* ab;
	KHTMLPart* bview;
	QWidget* bwidget;
	KioskLock* kl;
};

#endif //__KIOSKHANDLER_H__
