/***************************************************************************
 *   Copyright (C) 2004 by Abdiel Janulgue                                 *
 *   xynopsis at users dot sourceforge dot net                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

// ListenerServ.h: interface for the ListenerServ class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LISTENERSERV_H__155648E1_2E4F_11D8_8F57_0080AD8CFBB7__INCLUDED_)
#define AFX_LISTENERSERV_H__155648E1_2E4F_11D8_8F57_0080AD8CFBB7__INCLUDED_

#include <qserversocket.h>
#include <qsocket.h>

class KioskLock;

class ListenerSock: public QSocket
{
        Q_OBJECT
 public:
        ListenerSock( int sock, QObject * parent = 0);

 signals:
        void shutReceived();

 private slots:
        void read();
        
 private:
        KioskLock* lockinst;
};

class ListenerServ : public QServerSocket  
{
        friend class ListenerSock;
        Q_OBJECT
    
 public:
        ListenerServ(KioskLock*p, unsigned int port, int backlog = 5);
        virtual ~ListenerServ();

 signals:
        void sessionClosing();

 private slots:
        void socketClosed(void);
        void newConnection(int socket);
        
 private:
        bool connected;
        KioskLock* lockinst;
};

#endif // !defined(AFX_LISTENERSERV_H__155648E1_2E4F_11D8_8F57_0080AD8CFBB7__INCLUDED_)
