/***************************************************************************
 *   Copyright (C) 2004 by Abdiel Janulgue                                 *
 *   xynopsis at users dot sourceforge dot net                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef __SERIAL_DIALOG_H_
#define __SERIAL_DIALOG_H_

#include "login.h"

// forward decls
class KioskLock;
class AccessEdit;

class SerialDialog: public LoginDialog
{
        Q_OBJECT
 public:
        SerialDialog(KioskLock *lock, int WFlags = 0);
        ~SerialDialog();
        void setInfoText(const QString &name, const QString &pass,
                         const QString & hlpmsg, bool enablepass = true);
        void setBmpLogo(const char* filename);
        
 public slots:
	 virtual void show();
         virtual void hide();
         void setProgress(int p);

 private slots:
         void gettime();
         void help(); 
         
 private:
         KioskLock* klock;
         QString helptext;
	 QString caption;

         AccessEdit* accessEdit;
         AccessEdit* passEdit;
};

#endif // __SERIAL_DIALOG_H_
