#ifndef __TASKBAR_H_
#define __TASKBAR_H_

#include <qhbox.h>
#include <qtoolbutton.h>
#include <list>

class Task;
class QDockArea;
class QToolBar;
class QPushButton;
class KWinModule;
class QFrame;
class QPopupMenu;

class TaskBar: public QHBox
{
        friend class Task;
        
        Q_OBJECT
 public:
        typedef std::list<Task*> TaskList;
        
        TaskBar(QPopupMenu* kioskmenu, QWidget* parent =0, const char* name =0);
        ~TaskBar();
        void closeAllWindows();
        
 private slots:
        void addWindow(WId);
        void removeWindow(WId);
        void activateWindow(WId);

 private:        
         QDockArea *da;
        Task *activeTask;
        QToolBar* tb;
        QPushButton* mb;
        unsigned int tasks;

        KWinModule* kwm;
        TaskList tasklist;
};

class Task: public QToolButton
{
        Q_OBJECT
 public:
        Task(TaskBar* parent, WId tid, const char* name = 0);
        WId taskId() const { return taskid; };
        ~Task();

 public slots:
        void activate();
        void requestActive();
        void close();

 protected:
        void mousePressEvent(QMouseEvent*); 
        
 private:
        QPopupMenu* pop;
        KWinModule* kwm;
        WId taskid;
        TaskBar* taskbar;
        QFrame* sep;
};

#endif
